{this object is patterned after Charlie Dixon's CD_LTC1298.spin  Set up  is the same except that video is
on pin 20...vidpin in CON section.  For testing purposes pin 3 is connected to one of the two signal channels of the ltc1298.
This is a "three" wire implementation, meaning that you have to connect the two io pins on the ltc1298 with a 1K resistor.
If this sounds confusing...please see Charlie's spin object or read the documentation from Parallax for the ltc1298 in the Store}


CON

' data for Din to start conversion for each ADx channel

_CLKMODE                  = xtal1 + pll16x
_XINFREQ                  = 5_000_000
vidpin                    = 20 'basepin for video  
OBJ

  tv    : "tv_wtext"
  adc   :"rjo_ltc1298pasm2ch"
VAR

Pub demo   | xx,time1,time2,sps,tot,samples,cps,channel,i,sample,low,high,cs,clock,io,ratevar
    channel:=0
    samples:=1
    cs:=0
    clock:=1
    io:=2
    ratevar:=50                  'set ratevar to value between 1 and 100. 1 corresponds to  1Ksps. a value of  50 produces 50k and 100 for about 94K
    xx:=adc.start(cs,clock,io,ratevar)
                   'cs,clock, and io are propeller pins.  ratevar sets acquisition rate
    'repeat  until xx==100 
    tv.start(vidpin)
    waitcnt(clkfreq/3 + cnt)
    tv.str(string("LTC1298 sample rate"))
    tv.out(13)             
    tv.out(13)        'actual flag
    dira[3]:=1
    outa[3]:=1
    tot:=0
    samples:=1000                       'number of samples to acquire...1 to 4000
    channel:=0
    time1:=cnt 
    xx:=adc.getadc(channel,samples)
    time2:=cnt
    time2:=time2-time1
    tv.str(string("number of samples = "))
    tv.dec(samples)
    tv.out(13)
    tv.str(string( "clocks per sample = "))
    cps:=xx/(samples)
    tv.dec(cps)
    tv.out(13)
    tv.str(string("samples per second = "))                                                  
    sps:=(clkfreq/cps)
    tv.dec(sps)
    tv.out(13)
    tv.str(string("clock tics for all samples = "))
    tv.dec(xx)
    tv.out(13)
    waitcnt(clkfreq*3 + cnt)
    low:=5000
    high:=0
    repeat  sample from 0 to samples-1
    

     i:=adc.report(sample)
     if i < low
       low:=i
     if i > high
       high:=i
 
    tv.str(string("all values in range: "))
    tv.dec(low)
    tv.str(string(" to "))
    tv.dec(high)
    tv.out(13)
    REPEAT

   